%define LIBPLOT_VERSION 4.0
%define LIBXMI_VERSION 1.2
%define _fontsdir %_datadir/fonts/default
%define _examplesdir %_docdir

Name: plotutils
Version: 2.4.1
Release: alt1

Summary: GNU Plotutils -- plotting utilities

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Graphics
Url: http://www.gnu.org/software/plotutils/plotutils.html

Source: ftp://ftp.gnu.org/gnu/plotutils/plotutils-%version.tar.gz
Patch: %name-info.patch
Patch1: %name-c++.patch

# manually removed: gcc-g77
# Automatically added by buildreq on Sat Feb 19 2005
BuildRequires: flex gcc-c++ hostinfo libpng-devel libstdc++-devel xorg-x11-devel xorg-x11-libs zlib-devel
Requires: libplot

%description
The GNU plotting utilities include: (1) GNU libplot, a shared library
for exporting 2-D vector graphics files and for performing vector
graphics animation under the X Window System. Its output file formats
include pseudo-GIF, PNM, Adobe Illustrator, Postscript (editable with
the free 'idraw' drawing editor), Fig (editable with the free g'
drawing editor), PCL 5, HP-GL and HP-GL/2, Tektronix, and GNU metafile
format. Many Postscript, PCL, and Hershey fonts are supported. A
separate class library, 'libplotter', provides a C++ binding to
libplot's functionality. (2) Sample command-line applications 'graph',
'plot', 'tek2plot', 'pic2plot', and 'plotfont', which are built on top
of GNU libplot. 'graph' is a powerful utility for XY plotting, 'plot'
translates GNU metafiles to other formats, 'tek2plot' translates
legacy Tektronix data, 'pic2plot' translates box-and-arrow diagrams in
the pic language, and 'plotfont' plots character maps. (3)
Command-line applications 'spline', 'double', and 'ode', which are
useful in scientific plotting. 'spline' does spline interpolation of
input data of arbitrary dimensionality. It uses cubic splines, splines
under tension, or cubic Bessel interpolation. 'ode' is an interactive
program that can integrate a user-specified system of ordinary
differential equations.

%package -n libplot
Summary: libplot plotting library - from plotutils package
Group: Development/C
Version: %LIBPLOT_VERSION

%description -n libplot
GNU libplot: a function library for exporting two-dimensional vector
graphics files, and for displaying animated vector.

%package -n libplot-devel
Summary: libplot header files
Group: Development/C
Requires: libplot = %LIBPLOT_VERSION
Version: %LIBPLOT_VERSION

%description -n libplot-devel
libplot header files.

%package -n libplotter
Summary: libplotter plotting library - from plotutils package
Group: Development/C
Version: %LIBPLOT_VERSION

%description -n libplotter
GNU libplotter: a function library for exporting two-dimensional
vector graphics files, and for displaying animated vector.

%package -n libplotter-devel
Summary: libplotter header files
Group: Development/C
Requires: libplotter = %LIBPLOT_VERSION
Version: %LIBPLOT_VERSION

%description -n libplotter-devel
libplotter header files.

%package -n libxmi
Summary: libxmi library - from plotutils package
Summary(pl):	libxmi - biblioteka z pakietu plotutils
Group: Development/C
Version: %LIBXMI_VERSION

%description -n libxmi
GNU libxmi: a function library for exporting two-dimensional vector
graphics files, and for displaying animated vector.

%package -n libxmi-devel
Summary: libxmi header files
Group: Development/C
Requires: libxmi = %LIBXMI_VERSION
Version: %LIBXMI_VERSION

%description -n libxmi-devel
libxmi header files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%__libtoolize
%__aclocal
%__autoconf
%__automake -a
CXXFLAGS="-fno-rtti -fno-exceptions"
%configure \
	--disable-static \
	--enable-libplotter \
	--enable-libxmi
%__make

%install

install -d $RPM_BUILD_ROOT{%_examplesdir/libplot-%LIBPLOT_VERSION,%_fontsdir/misc}

%__make install \
	DESTDIR=$RPM_BUILD_ROOT

#install doc/h-demo.c $RPM_BUILD_ROOT%_examplesdir/libplot-%LIBPLOT_VERSION
install fonts/pcf/*.pcf $RPM_BUILD_ROOT%_fontsdir/misc

gzip -9nf $RPM_BUILD_ROOT%_fontsdir/misc/*


%post
%install_info plotutils.info

%postun
%uninstall_info plotutils.info

%post -n libxmi-devel
%install_info libxmi.info

%postun -n libxmi-devel
%uninstall_info libxmi.info

%post -n libplot
%post_ldconfig
[ ! -x %_bindir/mkfontdir ] || %_bindir/mkfontdir %_fontsdir/misc

%postun -n libplot
%postun_ldconfig
[ ! -x %_bindir/mkfontdir ] || %_bindir/mkfontdir %_fontsdir/misc

%post -n libplotter -p %post_ldconfig
%postun -n libplotter -p %postun_ldconfig

%post -n libxmi -p %post_ldconfig
%postun -n libxmi -p %postun_ldconfig

%files
%doc AUTHORS COMPAT KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS TODO
%_bindir/*
%_infodir/plotutils.info*
%_man1dir/*
%_datadir/ode
%_datadir/pic2plot
%_datadir/tek2plot

%files -n libplot
%doc doc/{demo-page,*.doc,*.txt,*.bib}
%doc libplot/{DEDICATION,HUMOR,README*,VERSION}
%_libdir/libplot.so.*
%_fontsdir/misc/*

%files -n libplot-devel
%_libdir/libplot.so
%_examplesdir/libplot-%LIBPLOT_VERSION
%_includedir/plot.h
%_includedir/plotcompat.h

%files -n libplotter
%_libdir/libplotter.so.*

%files -n libplotter-devel
%_libdir/libplotter.so
%_includedir/plotter.h

%files -n libxmi
%doc libxmi/{AUTHORS,NEWS,README*,TODO,VERSION}
%_libdir/libxmi.so.*

%files -n libxmi-devel
%_infodir/libxmi.info*
%_libdir/libxmi.so
%_includedir/xmi.h

%changelog
* Sat Feb 19 2005 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1
 - first build for ALT Linux Sisyphus
 - spec from PLD Team <feedback@pld.org.pl>
